--- title: "Get scenario deployment history" slug: "devtools-sourcedeploy-historydetail" tags: ["SourceDeploy"] updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/devtools-sourcedeploy-historydetail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get scenario deployment history Available in Classic and VPC Get details of a deployment project execution history. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/project/{projectId}/history/{historyId} | ### Request headers For information about the headers common to all SourceDeploy APIs, see [SourceDeploy request headers](/docs/en/devtools-sourcedeploy#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `projectId` | String | Required | Project ID - See [Get project list](/docs/en/devtools-sourcedeploy-projectlist). | | `historyId` | String | Required | Job result ID - See [Get scenario deployment history list](/docs/en/devtools-sourcedeploy-historylist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsourcedeploy.apigw.ntruss.com/api/v1/project/2***/history/80***' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | Object | - | Response result | | `result.project` | Object | - | Project information | | `result.project.id` | Number | - | Project ID | | `result.project.name` | String | - | Project name | | `result.stage` | Object | - | Deployment stage information | | `result.stage.id` | Number | - | Deployment stage ID | | `result.stage.name` | String | - | Deployment stage name | | `result.scenario` | Object | - | Deployment scenario information | | `result.scenario.id` | Number | - | Deployment scenario ID | | `result.scenario.name` | String | - | Deployment scenario name | | `result.id` | Number | - | Job result ID | | `result.status` | String | - | Deployment status - `success` \| `fail` \| `inprogress` \| `pending` \| `reject` \| `canceling` \| `canceled` \| `waiting` \| `error` \| `canary_pending` \| `canary_reject` \| `canary_analyzing` \| `canary_waiting_timeout` \| `canary_rejecting` - `success`: deployment completed - `fail`: deployment failed - `inprogress`: deployment in progress - `pending`: deployment pending approval - `reject`: deployment approval rejected - `canceling`: canceling deployment - `canceled`: deployment canceled - `waiting`: pending deployment - `error`: error - `canary_pending`: pending canary deployment - `canary_reject`: canary deployment canceled - `canary_analyzing`: analyzing canary - `canary_waiting_timeout`: canary analysis timeout - `canary_rejecting`: canceling canary deployment | | `result.executor` | String | - | Deployment requestor | | `result.startTime` | Number | - | Deployment request date and time - Unix timestamp format | | `result.endTime` | Number | - | Deployment end date and time - Unix timestamp format | | `result.type` | String | - | Deployment target type - `Server` \| `AutoScalingGroup` \| `KubernetesService` \| `ObjectStorage` | | `result.config` | Object | - | Deployment target settings - Server: See [THistoryServer](/docs/en/devtools-sourcedeploy-historydetail#THistoryServer). - AutoScalingGroup: See [THistoryAutoScaling](/docs/en/devtools-sourcedeploy-historydetail#THistoryAutoScaling). - KubernetesService: See [THistoryKubernetesService](/docs/en/devtools-sourcedeploy-historydetail#THistoryKubernetesService). - ObjectStorage: See [THistoryObjectStorage](/docs/en/devtools-sourcedeploy-historydetail#THistoryObjectStorage). | #### THistoryServer The following describes `THistoryServer`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `strategy` | String | - | Deployment strategy - `normal`: default (valid value) | | `targets` | Array | - | Deployment progress information: [targets](/docs/en/devtools-sourcedeploy-historydetail#targets1) | | `file` | Object | - | Deployment file information | | `file.selected` | String | - | Deployment file | | `file.type` | String | - | Deployment file type | #### `targets` The following describes `targets`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `server` | Object | - | Target server information | | `server.no` | Number | - | Target server number | | `server.name` | String | - | Target server name | | `status` | String | - | Deployment status - `pending` \| `standby` \| `pre` \| `deploy` \| `post` \| `success` \| `fail` \| `no progress` - `pending`: pending agent response - `standby`: agent connection completed - `pre`: pre-deployment execution in progress - `deploy`: file deployment in progress - `post`: post-deployment execution in progress - `success`: deployment completed - `fail`: deployment failed - `no progress`: deployment not conducted | | `time` | Object | - | Time and date by step | | `time.pre` | Number | - | Pre-deployment execution date and time - Unix timestamp format | | `time.deploy` | Number | - | File deployment date and time - Unix timestamp format | | `time.post` | Number | - | Post-deployment execution date and time - Unix timestamp format | | `step` | Object | - | Status by step | | `step.pre` | String | - | Pre-deployment execution status - `success` \| `fail` \| `inprogress` - `success`: completed - `fail`: failed - `inprogress`: in progress | | `step.deploy` | String | - | File deployment status - `success` \| `fail` \| `inprogress` - `success`: completed - `fail`: failed - `inprogress`: deployment in progress | | `step.post` | String | - | Post-deployment execution status - `success` \| `fail` \| `inprogress` - `success`: completed - `fail`: failed - `inprogress`: in progress | #### THistoryAutoScaling The following describes `THistoryAutoScaling`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `strategy` | String | - | Deployment strategy - `normal` \| `blueGreen` - `normal`: default - `blueGreen`: blue/green | | `autoScalingGroup` | Object | - | Auto Scaling group information | | `autoScalingGroup.no` | Number | - | Auto Scaling group number | | `autoScalingGroup.name` | String | - | Auto Scaling group name | | `targets` | Array | - | Deployment progress information: [targets](/docs/en/devtools-sourcedeploy-historydetail#targets2) | | `file` | Object | - | Deployment file information | | `file.selected` | String | - | Deployment file | | `file.type` | String | - | Deployment file type | #### `targets` The following describes `targets`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `server` | Object | - | Target server information | | `server.no` | Number | - | Target server number | | `server.name` | String | - | Target server name | | `status` | String | - | Deployment status - `pending` \| `standby` \| `pre` \| `deploy` \| `post` \| `success` \| `fail` \| `no progress` - `pending`: pending agent response - `standby`: agent connection completed - `pre`: pre-deployment execution in progress - `deploy`: file deployment in progress - `post`: post-deployment execution in progress - `success`: deployment completed - `fail`: deployment failed - `no progress`: deployment not conducted | | `time` | Object | - | Time and date by step | | `time.pre` | Number | - | Pre-deployment execution date and time - Unix timestamp format | | `time.deploy` | Number | - | File deployment date and time - Unix timestamp format | | `time.post` | Number | - | Post-deployment execution date and time - Unix timestamp format | | `step` | Object | - | Status by step | | `step.pre` | String | - | Pre-deployment execution status - `success` \| `fail` \| `inprogress` - `success`: completed - `fail`: failed - `inprogress`: in progress | | `step.deploy` | String | - | File deployment status - `success` \| `fail` \| `inprogress` - `success`: completed - `fail`: failed - `inprogress`: deployment in progress | | `step.post` | String | - | Post-deployment execution status - `success` \| `fail` \| `inprogress` - `success`: completed - `fail`: failed - `inprogress`: in progress | #### THistoryKubernetesService The following describes `THistoryKubernetesService`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `strategy` | String | - | Deployment strategy - `rolling` \| `blueGreen` \| `canary` - `rolling`: rolling - `blueGreen`: blue/green - `canary`: canary | | `targets` | Object | - | Deployment progress information | | `targets.time` | Object | - | Time and date by step | | `targets.time.pre` | Number | - | Deployment preparation date and time - Unix timestamp format | | `targets.time.deploy` | Number | - | Deployment date and time - Unix timestamp format | | `targets.step` | Object | - | Status by step | | `targets.step.pre` | String | - | Deployment preparation status - `success` \| `fail` \| `inprogress` - `success`: completed - `fail`: failed - `inprogress`: in progress | | `targets.step.deploy` | String | - | Deployment status - `success` \| `fail` \| `inprogress` - `success`: completed - `fail`: failed - `inprogress`: deployment in progress | #### THistoryObjectStorage The following describes `THistoryObjectStorage`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `file` | Object | - | Deployment file information | | `file.selected` | String | - | Deployment file | | `file.type` | String | - | Deployment file type | | `targets` | Object | - | Deployment progress information | | `targets.time` | Object | - | Time and date by step | | `targets.time.pre` | Number | - | Deployment preparation date and time - Unix timestamp format | | `targets.time.deploy` | Number | - | Deployment date and time - Unix timestamp format | | `targets.step` | Object | - | Status by step | | `targets.step.pre` | String | - | Deployment preparation status - `success` \| `fail` \| `inprogress` - `success`: completed - `fail`: failed - `inprogress`: in progress | | `targets.step.deploy` | String | - | Deployment status - `success` \| `fail` \| `inprogress` - `success`: completed - `fail`: failed - `inprogress`: deployment in progress | | `backupFile` | String | - | Backup file path - If backups were enabled at deployment time, display. | ### Response status codes For information about the HTTP status codes common to all SourceDeploy APIs, see [SourceDeploy response status codes](/docs/en/devtools-sourcedeploy#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": { "project": { "id": 2***, "name": "deploy3" }, "stage": { "id": 3***, "name": "dev-ob" }, "scenario": { "id": 2***, "name": "testscenario" }, "id": 80***, "status": "success", "executor": "by schedule trigger", "startTime": 1747231215000, "endTime": 1747231215000, "type": "ObjectStorage", "config": { "file": { "selected": "devtool/sourcebuild_backup/bb5a5880-****-****-****-8d4f9ac76620/build-sample.zip", "type": "storage" }, "targets": { "time": { "pre": 1747231215000, "deploy": 1747231215000 }, "step": { "pre": "success", "deploy": "success" } } } } } ```